# -*- coding: utf-8
from django.apps import AppConfig
from django.contrib.auth import get_user_model


class CoursesReportsConfig(AppConfig):
    name = 'courses.reports'

    def ready(self):
        from actstream import registry
        registry.register(get_user_model())
        registry.register('courses.Course')
        registry.register('courses.classroom.Classroom')
        registry.register('stats.AccessibleArea')
        registry.register('discussion.Topic')
        registry.register('discussion.Forum')
        registry.register('courses_learning_objects.LearningObject')
        registry.register('courses_learning_objects.Answer')
