from django.db import models
from django.conf import settings
from django.urls import reverse_lazy
from django.utils.translation import ugettext_lazy as _
from django.contrib.contenttypes.fields import GenericForeignKey
from django.contrib.contenttypes.models import ContentType


class ScheduledTask(models.Model):

    class Meta:
        verbose_name = _('ScheduledTask')
        verbose_name_plural = _('ScheduledTasks')

    task_hash = models.CharField(
        _('Name'),
        max_length=255,
        blank=True,
    )
    content_type = models.ForeignKey(
        ContentType,
        models.CASCADE,
    )
    object_id = models.PositiveIntegerField()
    content_object = GenericForeignKey(
        'content_type',
        'object_id',
    )
    release_date = models.DateTimeField(
        _('Date'),
        null=True,
        blank=True,
        default=None,
    )

    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)
