# -*- coding: utf-8
from django.apps import AppConfig
from django.contrib.auth import get_user_model


class CoursesStatsConfig(AppConfig):
    name = 'courses.stats'

    def ready(self):
        from actstream import registry
        registry.register(get_user_model())
        registry.register('courses.Course')
        registry.register('courses.classroom.Classroom')
        registry.register('stats.AccessibleArea')
        registry.register('discussion.Topic')
        registry.register('discussion.Forum')
        registry.register('discussion.Comment')
        registry.register('cards.Card')
        registry.register('courses.Unit')
