from .models import Lesson, Unit
from celery import Celery

app = Celery()


@app.task()
def publish_lesson(object_id):
    try:
        lesson = Lesson.objects.get(id=object_id)
        lesson.publish()
    except Lesson.DoesNotExist:
        pass
        

@app.task()
def publish_unit(object_id):
    try:
        unit = Unit.objects.get(id=object_id)
        unit.publish()
    except Unit.DoesNotExist:
        pass


@app.task()
def publish_message(object_id):

    try:
        message = ProfessorMessage.objects.get(id=object_id)
        # Only send the mails if the message is not published,
        # to avoid sending emails more than once
        if messages.status != 'published':
            message.send()
    except ProfessorMessage.DoesNotExist:
        pass
