from django.shortcuts import render

from rest_framework import viewsets

from courses.videos.models import Video
from courses.videos.serializers import VideoFileSerializer

from courses.permissions import (
    IsProfessorCoordinatorOrAdminPermissionOrReadOnly,
)


class VideoViewSet(viewsets.ModelViewSet):

    model = Video
    queryset = Video.objects.all()
    serializer_class = VideoFileSerializer
    permission_classes = (IsProfessorCoordinatorOrAdminPermissionOrReadOnly,)
